package com.itbaizhan.servlet;

import com.itbaizhan.pojo.Users;

import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * 使用ForEach迭代Map
 * 需求：
 *
 * 创建Users对象，含有userid，username属性。
 *
 * 创建一个Servlet，在Servlet中创建多个Users对象并放到Map集合中，在showUsers2.jsp的页面中显示所有的Users对象的信息。
 */
@WebServlet("/find2.do")
public class FindUsers2Servlet extends HttpServlet {
    @Override
    protected void doGet(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
        this.doPost(req, resp);
    }

    @Override
    protected void doPost(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {

        //创建测试数据
        Users users1=new Users(1,"Oldlu");
        Users users2=new Users(2,"kevin2");

        //实例化容器，将数据存到里面(Map)
        Map<String,Users> map=new HashMap<>();
        map.put("users1",users1);
        map.put("users2",users2);

        //将Map容器的数据添加到Request对象中
        req.setAttribute("map",map);

        //通过请求跳转的方式，将数据跳转到别的页面展示。
        req.getRequestDispatcher("showUsers2.jsp").forward(req,resp);
    }
}
