package com.itbaizhan.servlet;

import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;

/**
 * 请求转发案例
 * 需求：在Servlet中获取客户端浏览器所支持的语言，并通过JSP页面将客户端浏览器所支持的语言响应给客户端浏览器。
 *      且，设置页面样式。
 * (即：获取客户端浏览器的语言，并想办法将它相应给客户端)。
 */
@WebServlet(urlPatterns = "/language.do")
public class LanguageServlet extends HttpServlet{
    @Override
    protected void doGet(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
        this.doPost(req, resp);
    }

    @Override
    protected void doPost(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {

        //获取浏览器支持的语言；
        String header = req.getHeader("Accept-Language");

        //将header存放到request中方便下面读取
        req.setAttribute("header",header);

        //使用 请求跳转 到jsp
        req.getRequestDispatcher("showMsg.jsp").forward(req,resp);
    }
}
